**This project is no longer in active development. I'll consider merging pull requests as time is available, but there will not be further significant updates to it.**

And one final message to cap off the project: This is a fun bot that may help you learn about Python. There are plenty of things that need to be fixed, and I hope the logging is good enough to help guide you in solving any issues that still exist. The purpose of this project was to demonstrate and bring awareness to the widespread practice of botting on social media sites. Reddit in this case, but it happens on all other social media platforms too. Bots are used for the purposes of [astrofurfing](https://www.merriam-webster.com/dictionary/astroturfing), and many other practices to program your beliefs by controlling the things you encounter while surfing the internet. It's not unique to social media. It happens to anything that people view as an authentic source of truth. TV before the internet, and [newspapers before that](https://en.wikipedia.org/wiki/Propaganda_of_the_Spanish%E2%80%93American_War#:~:text=Pulitzer%20owned%20the%20New%20York,into%20the%20Spanish%E2%80%93American%20War.). People [build entire businesses](https://www.inc.com/alyssa-satara/if-you-dont-fully-understand-cambridge-analytica-scandal-read-this-simplified-version.html) with the intent to persuade you, or cause you to feel a certain way about subjects. Usually, not for serving your own best interests or the interests of others around you. If you're reading this you probably don't have the money or power to use those services. So, that puts you at a pretty big disadvantage of getting your voice heard, doesn't it? Even if a thousand people are screaming it's not hard to drown those voices out with tens of thousands of bots. It [happens every day](https://www.wired.com/story/bots-broke-fcc-public-comment-system/). Hopefully, with more awareness around these practices it will provoke people to think more critically about where they source truths from. With greater trust and shared understanding it can to more equitable outcomes for people regardless of who they are or where they're from. Well, at least for people [outside of the club](https://www.youtube.com/watch?v=Nyvxt1svxso) who can't afford bot farms. If you aren't questioning where you get your truths from, today is a great day to start! You can avoid being the pawn of election fraud scehems, or causing [far more serious damage](https://www.reddit.com/r/4chan/comments/2gup17/4chan_does_it_again_microwave_chargin_with_ios_8/). Although microwaving your phone may be a solution in this case.

# Reddit Karma Farming Bot

## Videos and links

This bot is probably the reason you saw that post again on Reddit. Need help with the bot? Join us on Discord https://bit.ly/mrps-discord 

![farm karma 1](https://user-images.githubusercontent.com/1307942/86540032-7e1a2c00-bef9-11ea-9266-16830c5b9dfa.png)
![farm karma bot](https://user-images.githubusercontent.com/1307942/86153469-a40a8f80-baf9-11ea-80b5-d86dd31108d6.png)

### Video install guides
[Windows](https://youtu.be/6ICjZUHO2_I)

[Linux/macOS](https://youtu.be/ga0OC6lYSRs)

### 2020 update videos

[Definitely Watch This One](https://www.youtube.com/watch?v=nWYRGXesb3I)

[2020 Bot 3.0 Code Walkthrough](https://www.youtube.com/watch?v=83zWIz3b7o0)

### Older videos

[Karma Farming Bot 2.0 Video](https://www.youtube.com/watch?v=CCMGHepPBso)  
[Karma Farming on Reddit Video](https://www.youtube.com/watch?v=8DrOERA5FGc)  
[Karma Farming Bot 1.0 Video](https://www.youtube.com/watch?v=KgWsqKkDEtI)  

Subscribe: http://bit.ly/mrps-yt-sub  
Website: https://bit.ly/mrps-site  

## Getting Started

1. Follow the [getting started guide](docs/1-getting-started.md) to create your Reddit app and learn how to configure the bot.

2. Then follow the [macOS/Linux](docs/2-linux-macos.md), or [Windows](docs/3-windows.md) or [docker](docs/4-docker-guide.md) guides to start the bot after everything is set up.

## Features

- Run on Linux, MacOS, or Windows.
- Automatically reposts popular posts from the past to earn post karma.
- Automatically generates unique (somewhat) contextually relevant comments using [cobe](https://github.com/pteichman/cobe).
- Automatically deletes poor performing comments and posts.
- Configurable frequency of posting, commenting, and other actions.
- Filter the bot from learning certain words, or avoid certain subreddits.
- Schedule when the bot wakes up and sleeps to run actions.
- Auto detects if the account is shadowbanned.

## Warnings

### Reddit

New Reddit accounts will likely get banned with the bot. Let an account sit for a few days before using it. Do not use an account that you love, as it's possible to be permanently banned.

### Heroku

The bot used to have a Heroku option - till they found out and now using the bot on heroku will get your account banned.

